Reply
 
Thread Tools Display Modes
  #1  
Old 06-10-2013, 07:28 PM
bernie bernie is offline
Junior Member
 
Join Date: Jun 2013
Posts: 4
Thanks: 0
Thanked 0 Times in 0 Posts
Default Update failed
Hi,

I just installed 9.1 Release amd64 and the Update Manager showed 230 updated packages. They downloaded fine, but the upgrade failed at a2ps-a4-4.13b_4.

The message recommended to manually run "pc-updatemanager pkgupdate", which I did. The result were a ton of warnings like the ones below and ultimately a failure message:

Extracting desktop overlay data...DONE
Failed updating...

Does anybody know what's going on here? Any help is greatly appreciated.

Thanks
Bernie


pkg-static: WARNING: locally installed a2ps-a4-4.13b_4 conflicts on /usr/local/share/a2ps/encoding/mac.edf with:
- a2ps-4.13b_5

pkg-static: WARNING: locally installed a2ps-a4-4.13b_4 conflicts on /usr/local/share/a2ps/encoding/ms-cp1250.edf with:
- a2ps-4.13b_5

pkg-static: WARNING: locally installed a2ps-a4-4.13b_4 conflicts on /usr/local/share/a2ps/fonts/pcfont.pfa with:
- a2ps-4.13b_5

pkg-static: WARNING: locally installed a2ps-a4-4.13b_4 conflicts on /usr/local/share/a2ps/ogonkify/README with:
- a2ps-4.13b_5

pkg-static: WARNING: locally installed a2ps-a4-4.13b_4 conflicts on /usr/local/share/a2ps/ogonkify/adobe.enc with:
- a2ps-4.13b_5

ppkg-static: WARNING: locally installed a2ps-a4-4.13b_4 conflicts on /usr/local/share/a2ps/encoding/mac.edf with:
- a2ps-4.13b_5

pkg-static: WARNING: locally installed a2ps-a4-4.13b_4 conflicts on /usr/local/share/a2ps/encoding/ms-cp1250.edf with:
- a2ps-4.13b_5

pkg-static: WARNING: locally installed a2ps-a4-4.13b_4 conflicts on /usr/local/share/a2ps/fonts/pcfont.pfa with:
- a2ps-4.13b_5

pkg-static: WARNING: locally installed a2ps-a4-4.13b_4 conflicts on /usr/local/share/a2ps/ogonkify/README with:
- a2ps-4.13b_5

pkg-static: WARNING: locally installed a2ps-a4-4.13b_4 conflicts on /usr/local/share/a2ps/ogonkify/adobe.enc with:
- a2ps-4.13b_5
Reply With Quote
  #2  
Old 06-10-2013, 07:50 PM
kmoore134's Avatar
kmoore134 kmoore134 is offline
Administrator
 
Join Date: May 2005
Location: Knoxville, TN
Posts: 2,568
Thanks: 0
Thanked 162 Times in 127 Posts
Default
Do this first, then try the update again:

# pkg delete -f a2ps-a4-4.13b_4

Does that fix it?
__________________
----
Kris Moore
PC-BSD Founder
Reply With Quote
  #3  
Old 06-10-2013, 11:26 PM
bernie bernie is offline
Junior Member
 
Join Date: Jun 2013
Posts: 4
Thanks: 0
Thanked 0 Times in 0 Posts
Default
Thanks for the quick answer Kris!

It kind of worked in that the original error is gone, but not there are a bunch more. Does it make sense to go through and remove all those packages and try again?
Each attempt takes a while cause the updater doesn't seem to look for already downloaded files, but downloads all 2GB every time.


547 kB to be downloaded
pkg-static: cached package xprop-1.2.1: checksum mismatch, fetching from remote
xprop-1.2.1.txz 100% 22KB 22.3KB/s 22.3KB/s 00:01
pkg-static: cached package x264-0.125.2201: checksum mismatch, fetching from remote
x264-0.125.2201.txz 100% 525KB 52.5KB/s 65.4KB/s 00:10
Checking integrity...
Conflict found on path /usr/local/share/locale/sr@ijekavian/LC_MESSAGES/libktorrent.mo between sr-kde-l10n-4.10.3(misc/kde4-l10n-sr) and libktorrent-1.3.1_2(net-p2p/libktorrent)

Conflict found on path /usr/local/share/locale/sr@ijekavianlatin/LC_MESSAGES/libktorrent.mo between sr-kde-l10n-4.10.3(misc/kde4-l10n-sr) and libktorrent-1.3.1_2(net-p2p/libktorrent)

Conflict found on path /usr/local/share/locale/sr@latin/LC_MESSAGES/libktorrent.mo between sr-kde-l10n-4.10.3(misc/kde4-l10n-sr) and libktorrent-1.3.1_2(net-p2p/libktorrent)

Conflict found on path /usr/local/share/locale/sr@ijekavian/LC_MESSAGES/konversation.mo between konversation-1.4_2(irc/konversation-kde4) and sr-kde-l10n-4.10.3(misc/kde4-l10n-sr)

Conflict found on path /usr/local/share/locale/sr@ijekavianlatin/LC_MESSAGES/konversation.mo between konversation-1.4_2(irc/konversation-kde4) and sr-kde-l10n-4.10.3(misc/kde4-l10n-sr)

Conflict found on path /usr/local/share/locale/sr@latin/LC_MESSAGES/konversation.mo between konversation-1.4_2(irc/konversation-kde4) and sr-kde-l10n-4.10.3(misc/kde4-l10n-sr)

Conflict found on path /usr/local/share/locale/sr@ijekavian/LC_MESSAGES/k3b.mo between k3b-2.0.2_11(sysutils/k3b-kde4) and sr-kde-l10n-4.10.3(misc/kde4-l10n-sr)

Conflict found on path /usr/local/share/locale/sr@ijekavian/LC_MESSAGES/k3bsetup.mo between k3b-2.0.2_11(sysutils/k3b-kde4) and sr-kde-l10n-4.10.3(misc/kde4-l10n-sr)

Conflict found on path /usr/local/share/locale/sr@ijekavian/LC_MESSAGES/kio_videodvd.mo between k3b-2.0.2_11(sysutils/k3b-kde4) and sr-kde-l10n-4.10.3(misc/kde4-l10n-sr)

Conflict found on path /usr/local/share/locale/sr@ijekavian/LC_MESSAGES/libk3b.mo between k3b-2.0.2_11(sysutils/k3b-kde4) and sr-kde-l10n-4.10.3(misc/kde4-l10n-sr)

Conflict found on path /usr/local/share/locale/sr@ijekavian/LC_MESSAGES/libk3bdevice.mo between k3b-2.0.2_11(sysutils/k3b-kde4) and sr-kde-l10n-4.10.3(misc/kde4-l10n-sr)

Conflict found on path /usr/local/share/locale/sr@ijekavianlatin/LC_MESSAGES/k3b.mo between k3b-2.0.2_11(sysutils/k3b-kde4) and sr-kde-l10n-4.10.3(misc/kde4-l10n-sr)

Conflict found on path /usr/local/share/locale/sr@ijekavianlatin/LC_MESSAGES/k3bsetup.mo between k3b-2.0.2_11(sysutils/k3b-kde4) and sr-kde-l10n-4.10.3(misc/kde4-l10n-sr)

Conflict found on path /usr/local/share/locale/sr@ijekavianlatin/LC_MESSAGES/kio_videodvd.mo between k3b-2.0.2_11(sysutils/k3b-kde4) and sr-kde-l10n-4.10.3(misc/kde4-l10n-sr)

Conflict found on path /usr/local/share/locale/sr@ijekavianlatin/LC_MESSAGES/libk3b.mo between k3b-2.0.2_11(sysutils/k3b-kde4) and sr-kde-l10n-4.10.3(misc/kde4-l10n-sr)

Conflict found on path /usr/local/share/locale/sr@ijekavianlatin/LC_MESSAGES/libk3bdevice.mo between k3b-2.0.2_11(sysutils/k3b-kde4) and sr-kde-l10n-4.10.3(misc/kde4-l10n-sr)

Conflict found on path /usr/local/share/locale/sr@latin/LC_MESSAGES/k3b.mo between k3b-2.0.2_11(sysutils/k3b-kde4) and sr-kde-l10n-4.10.3(misc/kde4-l10n-sr)

Conflict found on path /usr/local/share/locale/sr@latin/LC_MESSAGES/k3bsetup.mo between k3b-2.0.2_11(sysutils/k3b-kde4) and sr-kde-l10n-4.10.3(misc/kde4-l10n-sr)

Conflict found on path /usr/local/share/locale/sr@latin/LC_MESSAGES/kio_videodvd.mo between k3b-2.0.2_11(sysutils/k3b-kde4) and sr-kde-l10n-4.10.3(misc/kde4-l10n-sr)

Conflict found on path /usr/local/share/locale/sr@latin/LC_MESSAGES/libk3b.mo between k3b-2.0.2_11(sysutils/k3b-kde4) and sr-kde-l10n-4.10.3(misc/kde4-l10n-sr)

Conflict found on path /usr/local/share/locale/sr@latin/LC_MESSAGES/libk3bdevice.mo between k3b-2.0.2_11(sysutils/k3b-kde4) and sr-kde-l10n-4.10.3(misc/kde4-l10n-sr)

Conflict found on path /usr/local/share/locale/sr@ijekavian/LC_MESSAGES/ktorrent.mo between ktorrent-4.3.1_1(net-p2p/ktorrent) and sr-kde-l10n-4.10.3(misc/kde4-l10n-sr)

Conflict found on path /usr/local/share/locale/sr@ijekavianlatin/LC_MESSAGES/ktorrent.mo between ktorrent-4.3.1_1(net-p2p/ktorrent) and sr-kde-l10n-4.10.3(misc/kde4-l10n-sr)

Conflict found on path /usr/local/share/locale/sr@latin/LC_MESSAGES/ktorrent.mo between ktorrent-4.3.1_1(net-p2p/ktorrent) and sr-kde-l10n-4.10.3(misc/kde4-l10n-sr)
Extracting desktop overlay data...DONE
Failed updating...
Reply With Quote
  #4  
Old 06-11-2013, 12:18 AM
kmoore134's Avatar
kmoore134 kmoore134 is offline
Administrator
 
Join Date: May 2005
Location: Knoxville, TN
Posts: 2,568
Thanks: 0
Thanked 162 Times in 127 Posts
Default
Those errors look like they are from the same few packages:


libktorrent-1.3.1_2
k3b-2.0.2_11
konversation-1.4_2
sr-kde-l10n-4.10.3

I would just "pkg delete -f <pkg>" on all four of those, and give it another whirl. Hopefully it resolves itself. If not, please try the update through the GUI: PC-BSD Control Panel -> Package Manager -> Update Packages
__________________
----
Kris Moore
PC-BSD Founder
Reply With Quote
  #5  
Old 06-11-2013, 03:23 AM
yellow5 yellow5 is offline
Junior Member
 
Join Date: Jun 2013
Location: Murfreesboro, TN
Posts: 1
Thanks: 0
Thanked 0 Times in 0 Posts
Thumbs up
Originally Posted by kmoore134 View Post
Do this first, then try the update again:

# pkg delete -f a2ps-a4-4.13b_4

Does that fix it?
I had the same issue while attempting to convert an Isotope installation to a rolling release and this did the trick.
Reply With Quote
  #6  
Old 06-11-2013, 07:43 AM
WCSN WCSN is offline
Member
 
Join Date: Mar 2012
Location: St.Petersburg, Russian
Posts: 41
Thanks: 3
Thanked 2 Times in 2 Posts
Default
I have the same problem.
Remove the old version of the packages that were in the messages. Posts fewer, but were as follows:

# pkg upgrade
...
Checking integrity...
Conflict found on path /usr/local/share/locale/sr@ijekavian/LC_MESSAGES/libktorrent.mo between libktorrent-1.3.1_2(net-p2p/libktorrent) and sr-kde-l10n-4.10.3(misc/kde4-l10n-sr)

Conflict found on path /usr/local/share/locale/sr@ijekavianlatin/LC_MESSAGES/libktorrent.mo between libktorrent-1.3.1_2(net-p2p/libktorrent) and sr-kde-l10n-4.10.3(misc/kde4-l10n-sr)

Conflict found on path /usr/local/share/locale/sr@latin/LC_MESSAGES/libktorrent.mo between libktorrent-1.3.1_2(net-p2p/libktorrent) and sr-kde-l10n-4.10.3(misc/kde4-l10n-sr)

# pkg info | grep sr-
# pkg info | grep libktorrent

pkg No packages matching libktorrent and sr-*

These packages are not installed. There is no new or old versions.
Do not delete anything ...
What to do? How to fixed it?

Last edited by WCSN; 06-11-2013 at 12:03 PM.
Reply With Quote
  #7  
Old 06-11-2013, 12:10 PM
WCSN WCSN is offline
Member
 
Join Date: Mar 2012
Location: St.Petersburg, Russian
Posts: 41
Thanks: 3
Thanked 2 Times in 2 Posts
Default
Installation of the ports also gives a similar error.
Thus packages can be installed only in the absence of make.conf
(comment) # WITH_PKG = yes

"pkg" but will not find them in its database and will be reinstalled and re-detect the conflict.
Maybe you should try to install it from ports and make pkg register them??

Steadily getting this problem in four workers and home computers.

Last edited by WCSN; 06-11-2013 at 12:18 PM.
Reply With Quote
  #8  
Old 06-11-2013, 07:58 PM
bernie bernie is offline
Junior Member
 
Join Date: Jun 2013
Posts: 4
Thanks: 0
Thanked 0 Times in 0 Posts
Default
Kris, i tried again, but now get stuck here...

Exception: [AbstractCommand.cc:304] errorCode=3 URI=http://ftp.pcbsd.org/pub/mirror/packages/9.1-RELEASE-p3/amd64/All/pcbsd-meta-nvidia-1366133527.txz
-> [HttpSkipResponseCommand.cc:211] errorCode=3 Resource not found

06/11 15:55:19 [NOTICE] Download GID#42021ad448fb56a1 not complete: /usr/local/tmp/All/pcbsd-meta-nvidia-1366133527.txz

06/11 15:55:19 [NOTICE] ServerStat file /usr/home/bernie/.pcbsd-aria-stat saved successfully.

Download Results:
gid |stat|avg speed |path/URI
======+====+===========+========================== =============================
42021a|ERR | 0B/s|/usr/local/tmp/All/pcbsd-meta-nvidia-1366133527.txz

Status Legend:
(ERR):error occurred.


It doesn't look like it is related, but rather a bad URL since there is only
http://ftp.pcbsd.org/pub/mirror/packages/9.1-RELEASE/
but no
http://ftp.pcbsd.org/pub/mirror/pack....1-RELEASE-p3/
Reply With Quote
  #9  
Old 06-16-2013, 08:43 PM
bernie bernie is offline
Junior Member
 
Join Date: Jun 2013
Posts: 4
Thanks: 0
Thanked 0 Times in 0 Posts
Default
Posting from a fully updated system now. Thanks to all who helped out!

For the record, removing the following packages (all the ones the update manager complained about) prior to doing an update fixed the problem. No problems were caused by the removal and the packages got re-installed in their most current versions.

pkg delete -f a2ps-a4-4.13b_4
pkg delete -f libktorrent-1.3.1_2
pkg delete -f k3b-2.0.2_11
pkg delete -f konversation-1.4_2
pkg delete -f sr-kde-l10n-4.10.3
Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT. The time now is 11:09 AM.


Powered by vBulletin® Version 3.8.5
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.

Copyright 2005-2010, The PC-BSD Project. PC-BSD and the PC-BSD logo are registered trademarks of iXsystems.
All other content is freely available for sharing under the terms of the Creative Commons Attribution License.